%define major		0
%define api		0.8
%define gmajor		0.8
%define libname		%mklibname gee %{api} %{major}
%define gi_name		%mklibname gee-gir %{gmajor}
%define libnamedev	%mklibname -d gee

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgee
Summary:	GObject-based collection library
Version:	0.7.2
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		http://live.gnome.org/Libgee
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.12.0
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{gi_name}
GObject Introspection interface library for %{name}.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gee0.8-devel < 0.7.1-3

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_libdir}/libgee-%{api}.so.%{major}*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gee-%{gmajor}.typelib

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_libdir}/libgee-%{api}.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{gmajor}.gir


%changelog

* Sun Jan 22 2012 wally <wally> 0.7.2-1.mga2
+ Revision: 199709
- new version 0.7.2

* Fri Jan 13 2012 wally <wally> 0.7.1-3.mga2
+ Revision: 195713
- rename devel pkg

* Fri Jan 13 2012 wally <wally> 0.7.1-2.mga2
+ Revision: 195705
- rename source pkg back to libgee
- clean .spec a bit

* Sat Oct 29 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 159632
- new version 0.7.1
- new major and api
- rename pkg

* Wed Sep 14 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 143426
- new version 0.6.2.1

* Wed Sep 14 2011 fwang <fwang> 0.6.2-1.mga2
+ Revision: 143383
- new version 0.6.2

* Sat Jul 09 2011 cjw <cjw> 0.6.1-2.mga2
+ Revision: 121238
- put gobject introspection typelib in a separate subpackage
- rebuild for automatic typelib provides and deps

* Sat Apr 16 2011 pterjan <pterjan> 0.6.1-1.mga1
+ Revision: 86674
- Update to 0.6.1
- Drop ldconfig scriptlets

* Sun Jan 23 2011 pterjan <pterjan> 0.6.0-1.mga1
+ Revision: 35530
- imported package libgee


* Mon Sep 27 2010 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 581174
- update to new version 0.6.0

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 578924
- update to new version 0.5.3

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 565039
- new version
- add introspection typelib

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 563399
- rebuild for new gobject-introspection

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 552023
- update to new version 0.5.1

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 452040
- new version
- new major

* Mon Sep 28 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 450618
- update to new version 0.4.0

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 410205
- new version
- new major

* Fri Jul 31 2009 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 405036
- new version
- add introspection support

* Mon Jul 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 398066
- update to new version 0.1.6

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 343664
- update to new version 0.1.5

* Wed Dec 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-1mdv2009.1
+ Revision: 309707
- import libgee


